Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200410-03 ] NetKit-telnetd: buffer overflows in telnet and telnetd
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Bodhisattva
Bodhisattva


Joined: 25 Feb 2003
Posts: 3827
Location: Essen, Germany

PostPosted: Tue Oct 05, 2004 6:56 pm    Post subject: [ GLSA 200410-03 ] NetKit-telnetd: buffer overflows in telne Reply with quote

Gentoo Linux Security Advisory

Title: NetKit-telnetd: buffer overflows in telnet and telnetd (GLSA 200410-03)
Severity: high
Exploitable: remote
Date: October 05, 2004
Bug(s): #64632
ID: 200410-03

Synopsis

Buffer overflows exist in the telnet client and daemon provided by netkit-telnetd, which could possibly allow a remote attacker to gain root privileges and compromise the system.

Background

NetKit-telnetd is a standard Linux telnet client and server from the NetKit utilities.

Affected Packages

Package: net-misc/netkit-telnetd
Vulnerable: <= 0.17-r3
Unaffected: >= 0.17-r4
Architectures: All supported architectures


Description

A possible buffer overflow exists in the parsing of option strings by the telnet daemon, where proper bounds checking is not applied when writing to a buffer. Additionaly, another possible buffer overflow has been found by Josh Martin in the handling of the environment variable HOME.

Impact

A remote attacker sending a specially-crafted options string to the telnet daemon could be able to run arbitrary code with the privileges of the user running the telnet daemon, usually root. Furthermore, an attacker could make use of an overlong HOME variable to cause a buffer overflow in the telnet client, potentially leading to the local execution of arbitrary code.

Workaround

There is no known workaround at this time.

Resolution

All NetKit-telnetd users should upgrade to the latest version:
Code:
# emerge sync
# emerge -pv ">=net-misc/netkit-telnetd-0.17-r4"
# emerge ">=net-misc/netkit-telnetd-0.17-r4"


References

CVE-2001-0554
Debian Bug #264846


Last edited by GLSA on Sun May 07, 2006 4:52 pm; edited 1 time in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum